Current positioning of the "Enhanced watchlist" preference is confusing
Closed, ResolvedPublic

Description

I was looking for the "enhanced watchlist" and discovered it is not in the "Watchlist" section of the preferences page, but instead, on the "Recent changes section" under the description "Enhanced recent changes (requires JavaScript)" (from [[MediaWiki:Tog-usenewrc]]), which doesn't even mention the watchlist...

This was very confusing and should be improved somehow. Maybe showing the option on both sections, with a description which mentions both the recent changes and the watchlist features?


Version: unspecified
Severity: enhancement
URL: http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/60474

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz35768.
He7d3r created this task.Via LegacyApr 6 2012, 9:08 PM
kaldari added a comment.Via ConduitJun 29 2012, 4:47 AM

Unfortunately, the prefs system only lets you list a pref under one tab. I've changed the label to say "Group changes by page in recent changes and watchlist (requires JavaScript)". Hope that's an improvement. You can see it now on test.wikipedia.org.

Nemo_bis added a comment.Via ConduitFeb 14 2013, 8:43 PM

(In reply to comment #1)

Unfortunately, the prefs system only lets you list a pref under one tab. I've
changed the label to say "Group changes by page in recent changes and
watchlist
(requires JavaScript)". Hope that's an improvement. You can see it now on
test.wikipedia.org.

I call this fixed, could also be considered WORKSFORME or WONTFIX if you feel a lot about this positioning.
At some point the solution will probably just get rid of the preference (after bug 35785).

He7d3r added a comment.Via ConduitOct 2 2013, 12:47 PM

Created attachment 13423
Do you want group watchlist entries by page? Go to the 'Recent changes' (not to 'Watchlist') tab!

(In reply to comment #2)

I call this fixed

It is still confusing for any user wanting their Special:Watchlist entries grouped by page: they have to go to [[Special:Preferences]] and choose the tab "Recent Changes" instead of the tab "Watchlist".

Attached:

Add Comment